import { prop } from '@typegoose/typegoose';

export type NoteType = 'comm' | 'cs' | 'edu' | '';

export default class Note {
  @prop({ required: true })
  userID: string;

  @prop({ required: true })
  staffID: string;

  @prop({ required: true })
  date: Date;

  @prop({ required: true })
  category: NoteType;

  @prop({ required: true })
  text: string;
}
